package de.ugoe.cs.autoquest.htmlmonitor;

/**
 * <p>
 * TODO comment
 * </p>
 * 
 * @author Patrick Harms
 */
class HtmlEvent {

    /**
     * 
     */
    private HtmlClientInfos clientInfos;

    /**
     * 
     */
    private Long time;

    /**
     * 
     */
    private String path;

    /**
     * 
     */
    private String eventType;

    /**
     * 
     */
    private Integer[] coordinates;

    /**
     * 
     */
    private Integer key;

    /**
     * 
     */
    private Integer scrollPosition;

    /**
     * <p>
     * TODO: comment
     * </p>
     *
     * @param clientInfos
     * @param time
     * @param path
     * @param eventType
     * @param coordinates
     * @param key
     * @param scrollPosition
     */
    HtmlEvent(HtmlClientInfos clientInfos,
              Long            time,
              String          path,
              String          eventType,
              Integer[]       coordinates,
              Integer         key,
              Integer         scrollPosition)
    {
        this.clientInfos = clientInfos;
        this.time = time;
        this.path = path;
        this.eventType = eventType;
        this.coordinates = coordinates;
        this.key = key;
        this.scrollPosition = scrollPosition;
    }

    /**
     * @return the clientInfos
     */
    HtmlClientInfos getClientInfos() {
        return clientInfos;
    }

    /**
     * @return the time
     */
    Long getTime() {
        return time;
    }

    /**
     * @return the path
     */
    String getPath() {
        return path;
    }

    /**
     * @return the eventType
     */
    String getEventType() {
        return eventType;
    }

    /**
     * @return the coordinates
     */
    Integer[] getCoordinates() {
        return coordinates;
    }

    /**
     * @return the key
     */
    Integer getKey() {
        return key;
    }

    /**
     * @return the scrollPosition
     */
    Integer getScrollPosition() {
        return scrollPosition;
    }

}
